Function ExcelDateiNameErstellen ($EingestellterName, $PfadUrsprungsdatei, $PfadZielDatei)
{
    $NameUrsprungsdatei = Split-Path $PfadUrsprungsdatei -Leaf
    $NameUrsprungsdateiLaenge = $NameUrsprungsdatei.Length
    $NameUrsprungsdateiKurz = $NameUrsprungsdatei.Substring(0, $($NameUrsprungsdateiLaenge - 4))

    $GesamtPfadZielDatei = $PfadZielDatei + "\" + $EingestellterName.Replace("[Ursprungsdatei]",$NameUrsprungsdateiKurz) + ".xlsx"

    return $GesamtPfadZielDatei
}

$Name = ExcelDateiNameErstellen "EA_Ausgabe" "R:\m.kraft\Excel Werte ändern\EA_Krüger_19.03.2020.xlsx" "R:\m.kraft\Excel Werte ändern\_Test"

Write-Host $Name